Update json gem to 2.3.0

Description

We need to update json from 2.1.0 to 2.3.0 because of CVE-2013-0269.

This gem is used by Elasticsearch, Resque, Cucumber, and code coverage gems.

How to test: this update should be decently covered by automated tests. For sanity:

  • Post a new work with tags. Check that the work shows up on user and tag listings.

  • Check that subscribers of a work receive emails about its new chapters.

  • Leave kudos as one user (with JS enabled). Check that the work author receives the correct kudos notifications.

Environment

None

Assignee

Unassigned

Reporter

redsummernight

Roadmap

Browse
Search
Subscriptions

Priority

Medium

Affects versions

Fix versions

Components

Gems

Difficulty

Easy

Required Access Level

None

Milestone

Internal 0.9
Configure